Messages 응답 생성
curl --request POST \
--url https://apiany.ai/v1/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "minimax-m3",
"max_tokens": 512,
"messages": [
{
"role": "user",
"content": "Draft three API documentation section titles."
}
]
}
'import requests
url = "https://apiany.ai/v1/messages"
payload = {
"model": "minimax-m3",
"max_tokens": 512,
"messages": [
{
"role": "user",
"content": "Draft three API documentation section titles."
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'minimax-m3',
max_tokens: 512,
messages: [{role: 'user', content: 'Draft three API documentation section titles.'}]
})
};
fetch('https://apiany.ai/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "message",
"role": "assistant",
"content": [
{}
],
"model": "<string>",
"usage": {
"prompt_tokens": 123,
"completion_tokens": 123,
"total_tokens": 123,
"input_tokens": 123,
"output_tokens": 123,
"cached_input_tokens": 123
}
}{
"error": {
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"param": "<string>",
"code": "<string>"
}
}Chat
Messages 응답 생성
Anthropic 호환 Messages 엔드포인트입니다.
POST
/
v1
/
messages
Messages 응답 생성
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
본문
application/json
예시:
"minimax-m3"
Show child attributes
Show child attributes
생성할 최대 토큰 수입니다(필수).
필수 범위:
x >= 1시스템 프롬프트입니다.
응답에 주입되는 무작위성입니다(0–1).
필수 범위:
0 <= x <= 1필수 범위:
0 <= x <= 1각 토큰에 대해 확률이 가장 높은 K개 후보에서만 샘플링합니다.
생성을 중단시키는 사용자 지정 시퀀스입니다.
모델이 호출할 수 있는 도구이며, 각 도구는 name, description, input_schema(JSON Schema)를 가집니다.
도구 선택: { type: 'auto' } | { type: 'any' } | { type: 'tool', name }.
true이면 Anthropic SSE 이벤트 스트림으로 반환합니다(message_start / content_block_delta / message_delta / message_stop).
⌘I